Create CustomerAsk AIpost https://developer-api.bringg.com/services/89ad4e38/{service_uuid1}/{service_uuid2}Use to create a new customer.Body ParamsaddressstringThe address of the new customer. Must be geolocated in Google Maps. The maximum length is 255 characters.address_second_linestringThe address second line of the new customer, if needed. For example, "First floor" or "Apartment 1".allow_loginbooleanIndicates whether the new customer can login. The values are: false or 0 - customer cannot login, true or 1 - customer can login.truetruefalseallow_sending_emailbooleanIndicates whether the new customer allows email sharing. The values are: false or 0 - customer does not allow email sharing, true or 1 - customer allows email sharing. Default is "true".truetruefalseallow_sending_smsbooleanIndicates whether the new customer allows SMS sharing.The values are: false or 0 - customer does not allow SMS sharing, true or 1 - customer allows SMS sharing. Default is "true".truetruefalseboroughstringThe new customer's borough. This can also be used for any neighborhood or zone.citystringThe new customer's city.confirmation_codestringThe confirmation code sent to the new customer's phone for login verification.districtstringThe new customer's district.emailstringThe email address of the new customer. The default value is an empty string.external_idstringThe new customer's external ID (in your own system).has_parking_areabooleanIndicates whether there is a loading/unloading zone at the destination.truefalsehouse_numberint32The house number of this customer.imagestringThe URL of an image associated with the new customer.kindint32Indicates the waypoint type. Possible values: 0 - Customer 1 - Warehouse 2 - Store 3 - Locker 4 - Fulfillment centerlanguagestringThe language setting from the new customer's app. This is a 2-letter code, for example "en" for English or "fr" for French. Note: This may be different than the company's default language.latfloatThe latitude of the new customer's address.lngfloatThe longitude of the new customer's address.namestringThe name of the new customer. The maximum length is 255 letters.phonestringThe phone number of the new customer.rankint32Gives priority between customers when using Route Optimization or AutoDispatch. null is the lowest rank, 1 is the highest rank (for example rank null < rank 3 < rank 2 < rank 1). 0 in not accepted.statestringThe new customer's state.streetstringThe new customer's street.team_idsstringAn array of the team id's for the teams responsible for delivery to this customer.zipcodestringThe new customer's ZIP Code. The default value is null.HeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/plainAllowed:application/jsontext/plainResponses 200200 400400Updated 10 months ago